Package tigase.auth

# Class CredentialsEncoderBean

java.lang.Object
tigase.auth.CredentialsEncoderBean

All Implemented Interfaces:
  `RegistrarBean`

@Bean(name="credentialEncoders", parent=AuthRepositoryConfigBean.class, active=true) public class CredentialsEncoderBean extends Object implements RegistrarBean

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialsEncoderBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encode(BareJID user, String mechanism, String password)`
  `List<String[]>`
  `encodeForAllMechanisms(BareJID user, String password)`
  `List<String>`
  `getSupportedMechanisms()`
  `void`
  `register(Kernel kernel)`
  Method called when bean is being registered allowing developer to programatically register other beans.
  `void`
  `unregister(Kernel kernel)`
  Method called while bean is being unregistered.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CredentialsEncoderBean

    public CredentialsEncoderBean()

- ## Method Details

  - ### getSupportedMechanisms

    public List<String> getSupportedMechanisms()

  - ### encode

    public String encode(BareJID user, String mechanism, String password) throws NoSuchAlgorithmException
    Throws:
      `NoSuchAlgorithmException`

  - ### encodeForAllMechanisms

    public List<String[]> encodeForAllMechanisms(BareJID user, String password)

  - ### register

    public void register(Kernel kernel)
    Description copied from interface: `RegistrarBean`
    Method called when bean is being registered allowing developer to programatically register other beans.
    Specified by:
      `register` in interface `RegistrarBean`
    Parameters:
      `kernel` - - instance from local scope

  - ### unregister

    public void unregister(Kernel kernel)
    Description copied from interface: `RegistrarBean`
    Method called while bean is being unregistered.
    Specified by:
      `unregister` in interface `RegistrarBean`
    Parameters:
      `kernel` - - instance from local scope